import 'package:flutter/foundation.dart';
import 'package:http/http.dart' as http;
import 'dart:convert';

import '../../environments/api_app.dart';

class ArticleApi {
  Future<Map<String, dynamic>> getArticles() async{
    String url= '${apiApp}/articulo?offset=0&max=100';

    if (kDebugMode) {
      print('Url -> $url');
    }
    try{
      final resp = await http.get(Uri.parse(url));
      return {"statusCode": resp.statusCode, "body": resp.body};
    }catch(e){
      return {"statusCode": 501, "body": '$e'};
    }
  }
}