import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart' as http;
import 'package:flutter/foundation.dart';
import 'package:connectivity_plus/connectivity_plus.dart';
import 'package:practica1_flutter/environments/api_app.dart';

class CategoryService {
  Future<Map<String, dynamic>> getCategories() async {

    final ConnectivityResult connectivityResult = await (Connectivity().checkConnectivity());
    //El Connectivity().checkConnectivity() verifica el estado actual de la conexión a Internet

    if (connectivityResult == ConnectivityResult.none) {
      return {"statusCode": 0, "body": "No internet connection"};
    } // y  Si no hay conexión a Internet se retorna
    // statusCode 0 y un mensaje de sin conexion a internet

    String url = '${apiApp}/categoria?offset=0&max=100';
    if (kDebugMode) {
      print('Url -> $url');
    }
    try {
      final resp = await http.get(Uri.parse(url));
      return {"statusCode": resp.statusCode, "body": resp.body};
    } catch (e) {
      return {"statusCode": 501, "body": '$e'};
    }
  }
}
